gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ComboBoxAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ComboBoxAccessible = ComboBoxAccessible (ManagedPtr ComboBoxAccessible)
- class (GObject o, IsDescendantOf ComboBoxAccessible o) => IsComboBoxAccessible o
- toComboBoxAccessible :: (MonadIO m, IsComboBoxAccessible o) => o -> m ComboBoxAccessible

# Exported types

newtype ComboBoxAccessible Source #

Memory-managed wrapper type.

Constructors

ComboBoxAccessible (ManagedPtr ComboBoxAccessible) |

#### Instances

Instances details

Eq ComboBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ComboBoxAccessible Methods (==) :: ComboBoxAccessible -> ComboBoxAccessible -> Bool Source # (/=) :: ComboBoxAccessible -> ComboBoxAccessible -> Bool Source #
GObject ComboBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ComboBoxAccessible
ManagedPtrNewtype ComboBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ComboBoxAccessible Methods toManagedPtr :: ComboBoxAccessible -> ManagedPtr ComboBoxAccessible Source #
TypedObject ComboBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ComboBoxAccessible Methods glibType :: IO GType Source #
HasParentTypes ComboBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ComboBoxAccessible
IsGValue (Maybe ComboBoxAccessible) Source # | Convert `ComboBoxAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ComboBoxAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ComboBoxAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ComboBoxAccessible) Source #
type ParentTypes ComboBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ComboBoxAccessible type ParentTypes ComboBoxAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Selection]

class (GObject o, IsDescendantOf ComboBoxAccessible o) => IsComboBoxAccessible o Source #

Type class for types which can be safely cast to `ComboBoxAccessible`, for instance with `toComboBoxAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ComboBoxAccessible o) => IsComboBoxAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ComboBoxAccessible

toComboBoxAccessible :: (MonadIO m, IsComboBoxAccessible o) => o -> m ComboBoxAccessible Source #

Cast to `ComboBoxAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.